unit Unitx;

interface

uses  Windows, SysUtils, Classes, Forms;

var
  _ExeName : string[255];
  _ExeDir : string[255];

function binb(n: byte): string;
function IBox(s: string): integer;
function EBox(s: string): integer;
function QBox(s: string): integer;
procedure WDelay(delay: integer);

implementation

function binb(n: byte): string;
var a, b: byte;
begin
 result := '';
 for a := 7 downto 0 do begin
  b := 1 shl a;
  result := result + Char(48 + Byte((Byte(n) and b) = b));
 end;
end;

procedure WDelay(delay: integer);
var n: tdatetime;
begin
 n := now+delay/(24*60*60*1000);
 while n > now do begin
  application.processmessages;
  sleepex(100,true);
 end;
end;

function IBox(s: string): integer;
begin
 result := application.messagebox(PChar(s), 'Information', MB_TOPMOST + mb_iconinformation+mb_ok);
end;

function EBox(s: string): integer;
begin
 result :=  application.messagebox(PChar(s), 'Error', MB_TOPMOST+mb_iconStop+mb_ok);
end;

function QBox(s: string): integer;
begin
 result :=  application.messagebox(PChar(s), 'Question', MB_TOPMOST+mb_iconQuestion+mb_yesno);
end;


procedure GetExePath;
var S: String;
    i: integer;
begin
 S := ExpandFileName(ParamStr(0));
 _ExeName := ExtractFileName(S);
 for i := length(_exename) downto 1 do
  begin
   if _exename[i] = '.' then
    begin
     _ExeName := Copy(_ExeName,1,i-1);
     break;
    end;
  end;
 _ExeDir := ExtractFilePath(S);
end;


initialization
 GetExePath;
 
end.